Sunday, May 27, 2012

Monday Morning Art: Soviet Nerf Propaganda

Today's artworks are two variations on a theme that I came up with over the weekend. My hope is that they eventually lead to something worthwhile. Until then, enjoy what they are so far, and click them to enjoy them being bigger.


And check back with PopCult tonight for Radio Free Charleston 158, where I wear that shirt from Cap High and present music from The Big Bad, In The Company Of Wolves and Foz Rotten, plus a trailer for Dennis Strom's Civil War film, "One Soldier, One Grave" and more!

Thursday, May 24, 2012

Two Must-See Events This Weekend

The PopCulteer
May 25, 2012


This week, your PopCulteer has been pullled in a million different directions, and has seen his writing time eaten away like one of Ed Wood's cashmere sweaters under siege by an army of moths. This means that you will get a greatly-truncated version of the weekly blog-column. Once things slow down we will bring you the long-promised IWA East Coast photo essay, the review of the new Popeye comic book from IDW, more comic book news and a photo essay showing how I came up with my design for the East End Main Street Streetworks project for this year.

But we only have time for a half-assed PopCulteer right now. Hopefully, in a day or two, we will be able to return to our normal, completely-assed status. For now, we have two big weekend events that you need to know about...

One Soldier, One Grave

Tonight at The Alban Arts Center in St. Albans, Dennis Strom's much-anticipated short film, "One Soldier, One Grave," makes its offical debut. The evening kicks off at 7:30 PM. The Facebbok invite promises an evening for the family that will begin with two short films by Dennis Strom: "Martha and Me," (how Martha Stewart's 5-month incarceration affected the small town of Alderson WV) and "Magic In the Valley" (a behind the scenes look at Children's Theatre's production of "Hansel and Gretel").

Monday, May 21, 2012

The Liquid Canvas of James Vernon Brown

RFC 158

[HTML1]

[caption id="attachment_8193" align="alignright" width="220" caption="JVB, himself"][/caption]

Radio Free Charleston's 158th episode, "The Liquid Canvas," is devoted to the work of Charleston filmmaker, musician, and artist James Vernon Brown. I first met James back in 2007, when we recorded the band Doctor Senator. James was playing bass and had also made several cool short films and music videos featuring the band.

James ended up leaving Doctor Senator and, at a jam session at The Blue Parrot one night, I heard him play guitar for the first time and was blown away with his David Gilmore meets Jimi Hendrix six-string pyrotechnics. I remember going up to him after hearing him play and asking "why the hell were you wasting your time playing bass?"

Sunday, May 20, 2012

Monday Morning Art: Star Wars, Nothing But Star Wars

Last night was the Star Wars tribute edition of Dr. Sketchy's Anti Art Show at Kanawha Players Teater. Vorel Sarkany and Kitty Killton, among others,  were on hand to salute George Lucas' cash cow. Here are my two first, quick impressions. More are coming. Click to make them bigger, and return to PopCult tonight for Radio Free Charleston 158, a look at the work of Jmes Vernon Brown, The Liquid Canvas.

Thursday, May 17, 2012

ArtWalk In Photos With Bonus Video And Music

The PopCulteer
May 18, 2012


We had another wonderful ArtWalk last night, as Charleston's finest galleries opened their doors late so that the denizens of Charleston's art scene could check out their latest exhibits. The Dr. Sketchy's crew was all over the place promotiing this Sunday's Star Wars-themed session at Kanwha Players Theater. That's your PopCulteer's imaginary daughter, Kitty Killton at right, decked out in Wookie gear. That's cameos in PopCult photo essays in two consecutive days for the kid!

Your PopCulteer took in a truncated list of galleries so that he and his lovely fiancee, Melanie Larch, could catch Thursday's performance of The Charleston Stage Company production of Steve Martin's play, "Picasso at the Lapin Agile." It's a great, intelligent comedy with wonderful performances by the cast and deft direction by Tim Mace. You have two more chances to see the play, tonight and Saturday at 7:30 PM at the WVSU Capitol Cente Theater on Summers Street. You should go see it.

We lucked into something very cool just outside of Ellen's Ice Cream on Capitol Street. A stripped-down line-up of Qiet was performing. We were attracted by the musical saw, but were hooked by the bass brass (I want to call it a tuba, but I know that's wrong). Luckily I have a video setting on the camera.

[HTML1]

You can catch Qiet with The Demon Beat and Tofujitsu June 15 at The Boulevard Tavern. We'll tell you more about that in the coming weeks. Now, it's picture time!

Katheryne Hawkins at Roman Associates

[caption id="attachment_8141" align="aligncenter" width="500" caption="Katheryne Hawkins showed some amazing work at Romano Associates. I expect we'll see more from this talented newcoming in the future."][/caption]

A Chilling Photo Essay

Last night the first launch party for Daniel (heretofore referred to as "Danny") Boyd's graphic novel reinvention of his classic movie, "Chillers," took place at Lost Legion Games & Comics The Rifleman in South Charleston. The place was packed. It ws a rousing success, and our PopCult cameras were there to record part of the action.

Writer and Director Daniel Boyd, Author William (Bill) Bitner, Author Jason Pell, Bus Driver Peterr Jesus (Norman Jordan), Chillers Graphic Novel Cover Girl Erica Martin and collaborators,  Betsy Rayvenn Allen and Jason Pell were on hand, as your PopCulteer popped in with his sidekick for the evening, the world-famous Kitty Killton.

This evening, Danny and the Chillers crew will be at  Lost Legion Games & Comics, The Keep, in Princeton, 5:30 PM to 8. Friday the tour hits Lost Legion Games & Comics, The Castle, in Beckkley, also at 5:30, and Saturday the book tour heads North to Lost Legion Games & Comics, The Vault, in Parkersburg, at 2 PM.

On to the ;photos!

[caption id="attachment_8121" align="aligncenter" width="500" caption="Bus Driver Peterr Jesus (Norman Jordan), Betsy Rayvenn Allen, Chillers Graphic Novel Cover Girl Erica Martin, Danny Boyd and Jason Pell"][/caption]

Tuesday, May 15, 2012

Chill Out Tonight

[caption id="attachment_8113" align="aligncenter" width="500" caption="Bus Driver Peterr Jesus (Norman Jordan) and Daniel Boyd, with the Chillers graphic novel."][/caption]

The classic WEst Virginia Horror movie, "Chillers," has made the transition into graphic novel form, and tonight, Director/Creator Danny Boyd, along with contributing authors William (Bill) Bitner and Jason Pell, plus Bus Driver Peterr Jesus (Norman Jordan, seen above with Danny in a photo swiped from Facebook), "Chillers"Graphic Novel Cover Girl Erica Martin and more associated folks from the movie and graphic novel will appear at Lost Legion Games and Comics the Rifleman, 600 D Street, South Charleston, for The CHILLERS Graphic Novel Launch Party! The fun kicks off at 5: PM and at 8 PM moves around the corner to Mojjo's Bar, on Seventh Avenue.

The CHILLERS Graphic Novel is based on the fondly-remembered 1988 Troma film written and directed by Daniel Boyd. This is the first graphic novel to be released in the anthology series by Transfuzion Publishing. The book features eleven horrifying tales narrated by passengers riding a bus to Babylon and how they "earned" their seat on the bus. These are short, horroific morality tales, presented in glorious black and white, just like the classic stories from "Creepy" and "Eerie" magazines, back in the day.It's a fun collection of short horror comics, and a fun readl.

This graphic novel ties in with the soon-to-be re-release of the moviie on DVD, and the hard copy release of Canadian punk rocker Buddy Black's "Chillers" tribute EP, "Wirchfinger." There will be copkes of the graphic novel, hot off the press from publisher, Tranzfusion, so you can get some of the first copies availalble to the public, and get them signed by authors and cast moembers. If you can't make it to tnight's launch party/book signing, keep watching PopCult for news of a screening of the movie, along with a show by Buddy Black, during FestivAll.

Sunday, May 13, 2012

Monday Morning Art: Shapes

Today's art is another geometric study in color composition. Stare at it long and hard for deeper meaning and/or to see the pirate ship. Click to enlarge.

Sunday Evening Video: "Blind Date"

[HTML1]

Tonight we present the trailer for  "Blind Date," a short film by James Vernon Brown, starring Sierra Ferrell. This is an example of James' work for his production company, The Liquid Canvas.  You will see more of James' work later this week, when Radio Free Charleston 158, which is devoted entirely to the work of James Vernon Brown and The Liquid Canvas goes live.

Thursday, May 10, 2012

Random Thoughts And Notes

The PopCulteer
May 11, 2012


Your PopCulteer is buried under deadlines and hard at work on next week's Radio Free Charleston, so our Friday column will be a little shorter than usual this week.  We're going to start with some random links to cool things, and then wrap up with some neat weekend events and photos.

A couple of weeks ago, "That Conversation," a new Podcast by Patrick Felton, made its debut and it's well worth checking out.  This podcast will focus on arts and creativity in the Kanawha Valley, and the first installment is a long, comprehensive, interview with playwright and director, Dan Kehde, of the Contemporary Youth Arts Company. The second installment should be coming soon, and after that,  RFC fans may hear a familiar voice pop up.

Congrats to Chris Chaber and The Empty Glass crew on their coming expansion into the New China building. The Glass is a legendary venue, but at times it does get to be a little like the Black Hole of Calcutta in there when a popular band is playing. Now, with accomodations for a larger crowd, maybe we can get Unknown Hinson to return to Charleston.

Sunday, May 06, 2012

Monday Morning Art: Automotive

Today's art is an abstract piece that was inspired by classic car designs from the 1950s. Click to to see a bigger version.

Sunday Evening Video: More Color Purple

[HTML1]

The Charleston Light Opera Guild production of "The Color Purple" is an unqualified success. You can read a great review of it here, if the Gazette hasn't hidden it behind a non-working registration page like they have for me. You have two more weekends to see this stunning musical. We were lucky to get to bring you rehearsal footage from the show in Radio Free Charleston 157, and tonight we have bonus coverage. First up, in the clip above, you'll see Janelle Williams as Celie, singing "I'm Here," which we had running under the credits on RFC.

After that, you'll get to see the whole cast perform "The Color Purple." We recorded this the same night, but couldn't fit it into the show. Here it is for your enjoyment. I hope this convinces some of you to come see The Color Purple" May 11, 12, 18 and 19 at 7:30 PM, or May 13 at 3 PM at The Charleston Civic Center Little Theater.  Check the CLOG  website for more details.

Thursday, May 03, 2012

Too Much Stuff For One Weekend

The PopCulteer
May 4, 2012


Jam Packed Weekend

It's another weekend where everybody decided to do everything at the same time in town, so your PopCulteer will do his best to dive headfirst into the events pile and come up with the trendiest catch.

Friday

IWA Wrestling

IWA East Coast Wrestling makes its debut in Clendenin for some reason Friday night, and They're bringing former WWE, TNA and ECW star, Rhino with them!

Monday, April 30, 2012

The Color Purple, Godmode Brodway And A Plea

[HTML1]

That's Radio Free Charleston 157, "The Mighty Thor Shirt," you see up there in the box above this text. This week we are bringing you three songs from the newest production by the Charleston Light Opera Guild, plus we have some new music from Godmode Broadway, and a heartfelt plea from The Tom McGees. Host segments were shot around The Charleston Civic Center.

The Charleston Civic Center Little Theater is the site of the Charleston Light Opera Guild production of the musical version of "The Color Purple." The beloved novel by Alice Walker was turned into a Broadway musical a few years ago by Brenda Russell, Allee Willis and Stephen Bray, with a book by Marsha Norman, and it is the spring offering from Charleston's Light Opera Guild, opening May 4.

Sunday, April 29, 2012

Monday Morning Art: Wave Sign Detour

Today's art is derived from my preliminary design for my East End Main Street Streetworks design, which I will be telling you about in the coming weeks. My final design has some elements of this in it, but it's still not quite there. Click the image to see it larger.

In the meantime, get ready for Radio Free Charleston 157, "The Mighty Thor Shirt," with music from The Charleston Light Opera Guild production, "The Color Purple," and Godmode Broadway, plus a heartfelt plea from The Tom McGees. It will be posted here in PopCult later this evening.

Thursday, April 26, 2012

Playing Godot, Rock For All Ages And Dancing With The Dead

The PopCulteer
April 27, 2012


Wherein your PopCulteer makes his stage debut...

That's right. This Sunday yours truly trods the boards in the title role of the Alban Arts Center production of Samuel Beckett's "Waiting For Godot." This role is so demanding that a different local performer will tackle it every night. It's an honor to share "Godot" with such area theater veterans as Ryan Hardiman, Timothy Mace and Kennie Bass.

To be honest, it's pretty daunting. Godot permeates every moment of the play, and his entrance is one of the most anticipated in the history of the theatre. I want to thank director, Tara Phares Pauley, for taking a chance on me, and I hope I do a good job. I also want to thank my supporting actors, Adam Bryan as Estragon and Kevin Pauley as Vladimir, for backing me up so well. The cast is rounded out by Chris Baker, John Halstead and Kyle Casto.

Sunday, April 22, 2012

Monday Morning Art: An Orb

Today's art is some sort of mystical orb. Actually it's an aborted attempt at my entry in this year's StreetWorks art project for East End Main Street. Click to see it bigger.

Sunday Evening Video: Kenneth Brian Band "Something Better"

[HTML1]

Our video tonight is "Something Better" by The Kenneth Brian Band.  This is the Official Video in HD. Shot live on location at The Jinx in Savannah Georgia. Directed by Joshua Black Wilkins.

Next Saturday, April 28 at 10 PM, The Kenneth Brian Band (featuring Charleston native Travis Stephens) returns to The Empty Glass for the first time since releasing the critically acclaimed album, Welcome To Alabama,"  bringing their trademark high energy Country/Rock in the form of a barn-burning live show! "Welcome To Alabama" has been praised as "a Southern Rock Tour de Force" and shot to #2 on the European Americana Charts! Also, this is Roadblock's birthday party, so it's gonna be a wild night! Be sure to pick up a copy of the new album while you're there!

Friday, April 20, 2012

April ArtWalk Alive!

The PopCulteer
April 20, 2012


It's time for another ArtWalk photo essay. We had near-perfect weather yesterday evening, and a wonderful turnout for all the galleries. On the right you see Robert Royce, K.D. Lett and Jesse Tidquist preparing for an evening that melded art and dance at The Charleston Ballet.

Other cool openings last night included Ian Bode's "The Passenger" arriving at Romano Associates, Allied Artists at The Purple Moon, Emily Roles and Sue Chase's “Friends Among the Hills” at Art Emporium and White Oak Photography and Deborah Herndon at The Greater Kanawha Valley Foundation.

Good News Mountaineer Garage Gallery featured art from students at Mountaineer Montessori School at last night's ArtWalk.The fourth, fifth and six grade art students at Mountaineer Montessori School have spent the last two months creating woodblock prints, drawings, mosaics, paintings and sculpture depicting the tragic deaths of miners at the historic Hawks Nest Tunnel. Despite the sick jokes that popped into my head

[caption id="attachment_7919" align="alignleft" width="220" caption="A genius promotion for 'Picasso""][/caption]

about this being "children's depictions of death," this was actually a very powerful exhibit, and it showed off some some amazing young talent.

There were also some "Wild and Crazy" folks accompanying Einstein around ArtWalk last night promoting the "Picasso at the Lapine Agile" scavanger hunt, which was shining the spotlight on Charleston Stage Company's upcoming production of the Steve Martin play. "Picasso at the Lapin Agile" opens May 10 at the WVSU Capitol Center Theater.

Enough with the words. Here are the pictures...

Monday, April 16, 2012

Funkadelic Zombie Ska Madness On RFC 156

[HTML1]

Radio Free Charleston 156, "Warning Trioxin Shirt," is posted above for your enjoyment. This week we have music from The Renfields and The Tom McGees, plus we have a terrific short docu-drama by Stephen Schmidt. But first, we have some corrections to do.

I'm pleading allergy-induced dementia for this. First, the Tom McGees' song that I call "Be Smart" in the show, and "Be Strong" in the credits, is actually called "Enemy Spy Plane Inbound." I know, it's an easy mistake to make. Compounding the errors, I announce that The Tom McGees are playing the Porkchopp3D Trailer Release Party April 26 at The Empty Glass, when in fact it is our other musical guest, The Renfields, who are going to be playing that show. Aside from the two huge mistakes in the scripting process, I was really happy with the host segments, which were shot outside of Kanawha Players Theater, the location of this weekend's Zombie Prom.

The reason we have The Renfields, or at least three-fifths of them, on the show this week is that their leader, Vincent Renfield, is the Master of Ceremonies for The Kanawha Players Zombie Prom, which takes place at KP, on April 21. It's going to be a fun night of Zombie goodness, with dancing, contests, Zombie Prom photos by Mike Winland Studios, and special guests, RJ Haddy from the SyFy series "Face Off" and Jeremy Ambler from The Walking Dead. It's going to be lots of fun...people are just dying to go!

Sunday, April 15, 2012

Monday Morning Art: Beach Blanket Bloodbath

[caption id="attachment_7889" align="aligncenter" width="500" caption="Cornelius Dapperdü, Molly Tilley, Pepper Fandango, Elle Xombeah, and Penny Maple, at the beach,  "][/caption]

Last night's edition of Dr. Sketchy's Anti-Art School in Charleston presented nice beach scenes with just a little murder thrown in. Click the images to see them larger.  There's more after the jump.

Sunday Evening Video: The Tom McGees

[HTML1]

Charleston's punk/ska princes play us out of the end credits of tomorrow's episode of Radio Free Charleston, but tonight you get a sneak peek, without the credits rolling over the footage. Thus, the band performs their song,, "Be Strong," live at The Blue Parrot.

Saturday, April 21, you can catch The Tom McGees at The Empty Glass for the Zombie Prom after party, hosted by the Heart of Appalachia Roller Derby folks.  Sharing the bill that night will be Foz Rotten with Charlie Ant Eaterr, plus Hellbound Honky Tonk. On April 26, On May 4 it's time for The Tom McGees to raise money for themselves, to finish their debut album, "This Just In." Which you can also support at IndieGogo.

So there.

Friday, April 13, 2012

Support The Local Scene

The PopCulteer
April 13, 2012


Support The Local Scene

You've heard me say it a million times: "Support the local scene." But what exactly does that mean? Folks, I'm not just talking about music. Charleston has an arts community. We have an overabundance of creative people working in music, art, film, theater, and even in areas that get overlooked, like the culinary arts, and athletic exhibitions.

This week your PopCulteer tells you how you can support the local scene right now!

Sasha Colette and Farnsworth

Tonight, Charleston-area favorite, Kentucky's Sasha Colette (seen above) and The Mgnolia's, with Charleston's own Farnsworth in support, play at The Sound Factory, on Kanawha Boulevard, starting at 10 PM. Admission is a mere five bucks.

Monday, April 09, 2012

The Amorous, Godmode Broadway, DualCore and Stark Charleston Embiggen RFC 155

[HTML1]

[caption id="attachment_7849" align="alignright" width="180" caption=""Love Robot" by Rebekie B"][/caption]

Above you see Radio Free Charleston 155, "Love Robot Shirt," featuring music is from The Amorous, Godmode Broadway and Dual Core, plus the return of Stark Charleston. Host segments were shot in the parking lot of the WV Division of Tourism in South Charleston. Our title shirt is a TeeFury design by artist, Rebekie B.

Our first musical guest on this week's show is Clarksburg's The Amorous. An indie-pop band with spiritual leanings, they will be recording their first full-length album this summer. You can catch them next weekend in Wilmington and Bellbrook Ohio, and at the end of the month they're doing a three-night stand at The Horizon's Church in Lost Creek WV. We recorded the band live during Charcon last year, and assembled this video using audio enhanced with a studio recording.

Sunday, April 08, 2012

Monday Morning Art: Beetle Or Spaceship?

For some reason, this post did not go up as scheduled, and I didn't notice until late Monday. This is being post-dated so that it doesn't knock the production notes for RFC 155 off the top spot of the blog.

It's a digital painting. Click to see it bigger. And watch RFC 155, too.

Thursday, April 05, 2012

Captain Action's Triumphant Return

The PopCulteer
April 6, 2012


This week your PopCulteer is going to return to his roots a bit. Back in the late 1990s I wrote a monthly action figure column for Toy Trader Magazine. It was a load of fun, and from what I'm told, it was pretty influential. Ii would present the latest toy industry news, rag on cheesy knockoffs and present detailed reviews of the latest action figures

When Toy Trader was bought up and shut down by Toy Shop (we were eating into their circulation, but their parent company had deeper pockets), I continued to write for Mastercollector.com for a while, but eventually I moved on to other assignments (like PopCult and Radio Free Charleston).

However, I never left the hobby. I still collect toys, in particular 1/6 scale action figures. As long-time readers of PopCult know, one of my favorites is Captain Action. Originally released in the 1960s, Captain Action was a cool crime-fighter with a great gimmick--he could change into other characters such as Superman, Batman, Spider-man, Captain America and others (uniform sets sold separately).

[HTML1]

Back in the first month of PopCult, I wrote about Captain Action, and my role as a cheerleader for the short-lived 1999 revival. More recently, I've written about the good Captain's return to comic books, his stint as an 8-inch-tall MEGO-style action figure, and his pending return as a full-sized 1/6 scale hero, complete with cool uniform sets.

Now I've got my hands on the first releases in this revived line. These are the basic sets that are just now showing up at Toys R Us. More deluxe sets are on sale in comic book stores and hobby shops, and we'll list some mail-order sources for you at the end of this piece. This week PopCult is going to play with toys.

Sunday, April 01, 2012

Monday Morning Art: Roi #1

Today's Art is a digital painting of a royal ceremonial mask or something. It just sort of happened organically while I was messing around on the computer. Click it to see it bigger.

Also, don't miss RFC 154, posted over the weekend. It presents a look at a lost piece of West Virginia film history.

James Bond In West Virginia On RFC 154

[HTML1]

[caption id="attachment_7808" align="alignright" width="200" caption="Steve E. Beckner as "Bond, James Bond""][/caption]

"Adventure Comics Shirt" is a special episode of Radio Free Charleston, dedicated to presenting once-thought-lost scenes from The Lower West Virginia Contemporary Light Opera Stage Players film production of the James Bond film, "Coalfinger." All prints of this film were destroyed after MGM,  EON Productions  and the Ian Fleming estate won a permanent injunction against the tiny, Southern West Virginia theater company Luckily, a few scenes were preserved in filmmaker Johnny Rock's long-supressed documentary on the making of "Coalfinger."

[caption id="attachment_7809" align="aligncenter" width="500" caption="Audiences have been waiting nearly 20 years to see this title sequence."][/caption]

Thursday, March 29, 2012

Loads Of Cool Stuff

The PopCulteer
March 30, 2012


WVSU Alumni All Star Jam

If you watched the latest episode of Radio Free Charleston, then you already know about the 2nd Annual WVSU Alumni All Star Jam. But just in case you haven't heard, this show features just some of the talented musicians and vocalists that have passed through W.Va. State. Honoring all of West Virginia's great jazz and blues artists past, present and future.

The line-up includes: Tim Courts (Bob Thompson Unit), Jonathan Wesley (Inspirati...on), Mike "Nemo" Pleasant, Lady D, Melanie Larch (Radio Free Charleston's Resident Diva), Dugan Carter (Full Flavor), Dick Stockton and Bill Hambleton. Marshall Petty from the Charleston WV Blues Society and Jack Rice from the West Virginia Blues Society will be on hand as well as special guest, Hubert "Rabbit" Jones.

The show starts at 7:30 PM at The Davis Fine Arts Auditorium on the campus of West Virginia State University. Admission is $10.00 and will benefit the College Book Fund. Call 304.766.3188 for more information.

Monday, March 26, 2012

WVSU Alumni All Stars And Jesus On RFC 153

[HTML1]

Episode 153 of Radio Free Charleston, "Dr. Pepper Shirt," is the video you see at the top of this post. This is a special episode, comprised entirely of rehearsal footage from two of this coming weekend's events, The 2nd Annual Alumni All-Star Jam at WVSU, and the CYAC production of "Jesus Christ Superstar."

I always feel sort of honored to be invited to bring the RFC cameras into a rehearsal because it means that the performers trust me to document their work-in-progress, warts and all. It's a gutsy move, and a sign of confidence on the part of the artists involved.

Of course, I have a bit of an "in" with one performer. Radio Free Charleston's Resident Diva, Melanie Larch, appears in this special edition of RFC, as does Lady D, the WVSU Alumni All-Star Band and the cast of "Jesus Christ Superstar."

Our first two songs are from The 2nd Annual WVSU Alumni All-Star Jam Band. These are early run-throughs, just the first or second time that the musicians have tackled these songs together.

[caption id="attachment_7779" align="aligncenter" width="500" caption="The WVSU Alumni All Star Band: Lady D, Dick Stockton, Tim courts, Melanie Larch, Bill Hambleton, Jonathan Wesley and Nemo Pleasant."][/caption]

Sunday, March 25, 2012

Monday Morning Art: Reclined

This week's artistic jump-start is a semi-abstract design derived from a photo of Kitty Killton taken last week at Dr. Sketchy's.  It's basically an exercise in obscuring reality with multiple filters and overlays. Click the image to see it larger.

And check PopCult later this evening for Radio Free Charleston 153, with Melanie Larch, Lady D and the cast of the CYAC production of "Jesus Christ Superstar."

Sunday Evening Video: RFC 002, "RVD Shirt"

[HTML1]

Tonight's video is a flash back to the second episode of Radio Free Charleston, from July 2006. "RVD Shirt" features music by Stephen Beckner and The Sleeping Dons (Sean Richardson, Jay Lukens and Deron Sodaro), animation by Frank Panucci and a sneak peek at the then-unreleased Batman movie. This episode also marks the first appearence of the infamous Dancing Midget Spider-man (seen right). You can read the original production notes here.

RFC 153, "Dr. Pepper Shirt," with rehearsal performances by Melanie Larch, Lady D and The cast of "Jesus Christ Superstar" will be posted here tomorrow evening.

Thursday, March 22, 2012

A Very Busy PopCulteer Slacks Off And Gives You Cool Images

The PopCulteer
March 23, 2012


Words will be back next week.

Your PopCulteer is swamped with the production of next week's episode of Radio Free Charleston. It's our special rehearsal show. We were lucky enough to be invited to record some footage at rehearsals for two of next week's cool events. Recording and editing ate into what would normally be writing time, so we are going to bring you images this week.

At the iright, you see a digital painting of local starlet, and my imaginary daughter, Kitty Killton, based on a photo from last week's First Anniversary of Dr. Sketchy's in Charleston. You will see a whole bunch more of my digital artsiness from last Sunday in a moment, but first we're going to see three photos taken by Richard Wolfe, of the crew putting on the 2nd Annual WVSU Alumni All-Star Jam. This event takes place Friday, March 30, at the Davis Fine Arts Auditorium at WVSU.

You will see some of the talented musicians and vocalists that have passed through W.Va. State. Honoring all of West Virginia's great jazz and blues artists past, present and future. Line-up includes: Tim Courts (Bob Thompson Unit), Jonathan Wesley (Inspirati...on), Mike "Nemo" Pleasant, Lady D, Melanie Larch, Dugan Carter (Full Flavor), Dick Stockton and Bill Hambleton. Marshall Petty from the Charleston WV Blues Society and Jack Rice from the West Virginia Blues Society will be on hand as well as special guest, Hubert "Rabbit" Jones. Admission is $10.00 and will benefit the College Book Fund. Call 304.766.3188 for more information. We're treating you to a couple of songs from this show on next week's Radio Free Charleston.

We're also going to feature a song from the Contemporary Youth Arts Company production of "Jesus Christ Superstar," which opens next Thursday night at The WVSU Capitol Center Theater. Full details on both show will be included in the production notes for RFC 154.

But now, it's picture time!

[caption id="attachment_7746" align="aligncenter" width="500" caption="Photo by Richard Wolfe: Jazz Next Week, Alumni Jam with Jonathan Wesley, Dick Stockton, Lady D, Dugan Carter. Mel Larch, Tim Courts, Mike Pleasant, Bill Hambleton. FINE ARTS ON FRI THE 30TH @ 7:30 $10"][/caption]

Monday, March 19, 2012

Metal, Ska and Soul Converge on RFC 152

[HTML1]

Above you in this blog, you see RFC 153, "Machine of Madness Shirt," with music from Linework, The Tom McGees and the team of Chad Foss and Sean Sydnor. There;s also a couple of weird short films and some animation, and Lee Harrah is on hand to plug an upcoming all-ages show.

Host segments were shot at various points on Charleston's West Side. Our namesake shirt this week is "Machine of Madness," by Heartjack. This design is a mash-up of Lovecraft and Big Daddy Roth, with Cthulu tooling around in a Hot Rod. Heartjack is also known as James Mitchell, and he has a graphic novel out that you can find here.

Sunday, March 18, 2012

Monday Morning Art: Dr. Sketchy's Pinups

Last night Dr. Sketchy's celebrated one year in Charleston with a night of Pinup poses featuring Kitty Killton, Sarkany and newcomer, Afrodesiac. You see a group shot above. Individual poses from each model can be found on the other side of the jump.  These are just quick digital paintings. Check back in this week's PopCulteer for some more involved images from this session. Click the images to see them larger, and don't forget to come back to PopCult tonight for the newest episode of Radio Free Charleston.

Thursday, March 15, 2012

A Loaded Weekend And The ArtWalk Photo Essay

The PopCulteer
March 16, 2012


So many things are going on this weekend that we actually started it last night with ArtWalk, which you will see in photo essay form below. But first, let's look at the stuff to do.

The Pub Crawl

This weekend's big event is St. Patricks East End Pub Crawl. Saturday, March 17 from 6-10 PM it's time for shamrocks and spirits as five
of the most popular East End pubs and restaurants in Charleston host the first ever Pub Crawl.

The pub crawl will run from 6 to 10 PM at five East End venues: Bluegrass Kitchen, Tricky Fish, the Little India Lounge, the Red Carpet Lounge and The Empty Glass. There will be food and drink specials, as well as live entertainment. Participants can earn prizes in the Shamrock Challenge, where they try to find 15 "strategically placed" shamrocks in the five locations and upload images of them onto a Facebook fan page.

Sunday, March 11, 2012

Powerful Music On RFC 151 With Buddy Black, Prank Monkey And Karma To Burn

[HTML1]


We are back into the thick of things with Radio Free Charleston 151, "The Tom McGees Shirt," our first all-new episode of 2012! In this show, you will find music by Buddy Black, Johnny Compton with Prank Monkey and Karma To Burn We also get a preview of Danny Boyd's graphic novel project, "Carbon." Host segments were shot on a beautiful, windless, Sunday morning at Haddad Riverfront park. Our show is named after Charleston's punk/ska band, The Tom McGees, and we have news about an upcoming show by them.

Monday Morning Art: Sketchy's Does Kitty Again

Today's Art is a double shot of Digital paintings based on Kitty Killton, your PopCulteer's imaginary daughter, from last November's edition of Dr. Sketchy's Anti Art Show. Kitty will be back for her second stint as Dr. Sketchy's model, along with the debuting Bellarosa, this coming Sunday, March 18, at Kanawha Players Theater. Details can be found here and here.

Click the images to see them larger, and check PopCult later today for RFC 151, "The Tom McGees Shirt," with music from Buddy Black, Prank Monkey and Karma To Burn.

Sunday Evening Video: Back To Square One

[HTML1]

Tonight's video, in honor of RFC 150, is a remastered version of the very first episode of Radio Free Charleston, from July 2006. Check out all the fun with music from Whistlepunk and comedy from The No Pants Players!

Thursday, March 08, 2012

Be In A Movie, RFC News, IWA East Coast Photos And Controversy

Go West, Be In A Movie

Last weekend I spent a couple of days filming a small role in the indie movie, "Ladybeard." This weekend, you can do the same.

Director David Smith is looking for extras for a couple of scenes. You get to show up, sit in the audience at a talent show and also at a weding, and there might even be free cake involved.

Let me quote from the Facebook event page, "Want to be in a movie? Apartment 2B needs extras for two scenes in our new movie Ladybeard! We need extras of all ages to watch a church talent show and dance at a wedding reception. We're filming at First Congregational UCC, across from the court house in Huntington, starting at noon."

Let's hear from David directly...

[HTML1]

Sunday, March 04, 2012

Looking Back At LiveMix For RFC 150

[HTML1]

It's finally here, episode 150 of Radio Free Charleston. "Black Shirt" is a celebration of LiveMix Studio, our production partner without whom Radio Free Charleston would not exist. LiveMix is gone now, but in this episode, we revisit some of the incredible performances and speak with some of the musicians who helped make our first 150 episodes so special.

RFC Big Shot Brian Young, one of the owners of LiveMix, speaks extensively about recording some of the bands, while we also have comments from performers Raymond Wallace, Dave Roberts, Lee Harrah, Melanie Larch, and in archival footage, Tom Medvic and Dan Jordan of Feast of Stephen.

LiveMix Studio was shut down in late 2010 when it became the property of Sacred Heart Co-Cathedral, who decided they wanted to be more selective in the ways in which they serve the community. The building sits empty now, but the memories remain and they are some killer memories. 

Monday Morning Art: Ain't That A Kick In The Head

Today's art is a digital painting based on a photograph of "The Supernatural" Zach Vincent delivering a kick to the head of Smokey C at last Saturday's IWA East Coast event, "Extreme Dreams."  A full photo essay devoted to this show, along with a complete rundown of matches and photos of the surprise appearance of Shane "The Franchise" Douglas, will be the centerpiece of this week's PopCulteer on Friday.

Also, be sure to check PopCult today for RFC 150, our big milestone show that presents over 40 minutes of classic performances from the much-missed LiveMix Studio. And click the image above to see it larger.

Sunday Evening Video: Very Busy

[HTML1]

Your PopCulteer had a very long day, with no time to pick out a really cool video this evening, so here's film of a  monkey washing a cat.

Thursday, March 01, 2012

Tommy Dreamer Wrestles In Nitro, OSCAR's Botched Memorial And More Photos From DC

The PopCulteer
March 3, 2012


Hardcore Wrestling legend, Tommy Dreamer, will face our old buddy, Man Man Pondo, in Nitro Saturday night for IWA East Coast.  Dreamer made his mark as the "Innovator Of Violence" in ECW, later moving on to WWE and TNA.  He's facing Mad Man Pondo in the main event of a loaded card.

"The Dark Child" Chance Prophet will face Omega Aaron Draven, and Two Tuff Tony will meet "The Bulldozer" Matt Tremont. Check out the video below the show poster. There are loads of other great matches scheduled for the night.

Tickets are fifteen bucks for ringside seats, ten for general admission. A meet-and-greet will take place at 6 PM. That's an extra five dollars for exclusive access to the wrestlers an hour before bell time.

It all happens at King's Outreach Center (formerly Nitro High School), 302 21st St., Nitro. Advance tickets can be pruchased through IWA East Coast.com.